Subject: [MORG] New plan of action

From: Alexey Melnikov <[email-masked]>
Date: Tue, 22 Apr 2008 20:28:15 +0100

Folks,
It has been more than a year since the mailing list was created.
Now that some final documents of the IMAPEXT working group are finally 
in RFC editor's queue and the Lemonade working group is also finishing 
it work, I think it would be a good time to revive this effort. I've 
talked offlist to various people at it sounds that there is still some 
interest in moving this work forward.

I would suggest the we have a BOF during IETF in Dublin (end of July) 
and I will be posting a proposed agenda/charter soon.

In the meantime, I would like to summarize the list of work items I've 
proposed last year and report their status.

>New search criteria:
>draft-gulbrandsen-imap-inthread-01.txt
>  
>
Currently expired, needs updating.

>draft-ietf-lemonade-search-within
>
Was published as RFC 5032

>Views/virtual mailboxes:
>draft-cridland-imap-context
>  
>
Current version is -05, it will be going through IESG review soon.

>Per-message/per-mailbox attributes (annotations):
>draft-ietf-imapext-annotate-16.txt
>  
>
This document was approved for publication.

>draft-daboo-imap-annotatemore
>  
>
Revision -13 was just published.

> draft-melnikov-imapext-filters - used to store search criteria as 
> server annotations.

Current revision is -03.

>Searches accross multiple mailboxes:
>draft-melnikov-imapext-multimailbox-search
>
I've just posted a new revision (-03).

>Sorting and threading:
>draft-ietf-imapext-sort
This document was approved for publication.

> Counters of various types of messages:
> draft-neystadt-imap-status-counters (expired) - allows to get separate 
> unseen/total counters per different message types, such as fax, voice, 
> video, text, etc.

Still expired.
Peter Coates has a document similar to this, which was implemented by Sun.

_______________________________________________
MORG mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/morg
Note Well: http://www.ietf.org/maillist.html